Bug 739036 - Unicode chars - not usable in package name
Summary: Unicode chars - not usable in package name
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor)
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER6
: BRMS 5.3.0.GA
Assignee: Toni Rikkola
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 11:23 UTC by Zuzana Krejčová
Modified: 2016-08-01 01:12 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
It was previously not possible to name packages with Unicode characters preventing users from, for example, using Japanese or Czech characters in package names. This has been resolved and it is now possible to use Unicode characters in package names.
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Zuzana Krejčová 2011-09-16 11:23:38 UTC
Description of problem:
User isn't allowed to name their packages using non-english characters. Message "Invalid package name. Please use a name that is of the style [abc] or perhaps [abc.def]." is shown.


Version-Release number of selected component (if applicable):
Version 5.2.0.BRMS.ER3


How reproducible:
A japanese unicode character "ザ" or czech character "ř" or anything else like that can't be used in the name of a package. Trying to create a new package and using those characters results in the above mentioned message, text is erased.


Additional info:
It is possible to use those characters in the names of other assets - rules, models, functions...

Comment 2 Ryan Zhang 2012-04-23 07:36:50 UTC
Update status to ON_QA. Please verify them against ER6.

Comment 3 lcarlon 2012-05-31 06:08:41 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
It was previously not possible to name packages with Unicode characters preventing users from, for example, using Japanese or Czech characters in package names. This has been resolved and it is now possible to use Unicode characters in package names.


Note You need to log in before you can comment on or make changes to this bug.